import java.util.*;
import java.io.*;

public class crosses_gk {
    static Scanner in;
    static PrintWriter out;

    public void run() {
        char[] p = (in.next() + ".").toCharArray();

        boolean win = false;
        int l = 0;
        boolean first = false;
        for (char ch : p) {
            if (ch == 'x') {
                l++;
                first = !first;
            } else {
                if (l >= 3) {
                    if (win || l > 5) {
                        out.println("Invalid");
                        return;
                    }
                    win = true;
                }
                l = 0;
            }
        }

        if (!win) {
            out.println("Nobody");
        } else if (first) {
            out.println("First");
        } else {
            out.println("Second");
        }
    }

    public static void main(String[] args) throws Exception {        
        in = new Scanner(System.in);
        out = new PrintWriter(System.out);

        new crosses_gk().run();

        in.close();
        out.close();
    }
}
